Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts
[Java] Class ResolveException

    java.lang.Object
      org.gradle.internal.exceptions.AbstractMultiCauseException
          org.gradle.api.artifacts.ResolveException

    @Contextual
    public class ResolveException
    extends AbstractMultiCauseException

A `ResolveException` is thrown when a dependency configuration cannot be resolved for some reason.

Constructor Summary
`ResolveException(Configuration configuration, Throwable cause)`
`ResolveException(Configuration configuration, Iterable causes)`

Constructor Detail

### ResolveException

    public ResolveException(Configuration configuration, Throwable cause)

### ResolveException

    public ResolveException(Configuration configuration, Iterable causes)

Gradle API 1.10